summaryrefslogtreecommitdiff
path: root/qa/429
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/429
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/429')
-rwxr-xr-xqa/42971
1 files changed, 71 insertions, 0 deletions
diff --git a/qa/429 b/qa/429
new file mode 100755
index 0000000..a925c11
--- /dev/null
+++ b/qa/429
@@ -0,0 +1,71 @@
+#! /bin/sh
+# PCP QA Test No. 429
+#
+# Tests problem where Rebuild could accidently #include files from /tmp
+# rather than the current directory.
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+. ./common.check
+
+rm -f $seq.out
+if [ $PCP_VER -lt 3600 ]
+then
+ ln $seq.out.1 $seq.out || exit 1
+else
+ ln $seq.out.2 $seq.out || exit 1
+fi
+
+status=1 # failure is the default!
+trap "rm -rf $tmp.* /tmp/abc.$$; exit \$status" 0 1 2 3 15
+
+_copy_Rebuild()
+{
+ scr_src=$PCP_VAR_DIR/pmns/
+ cp $scr_src/Rebuild $1
+ if [ -f $scr_src/Xlate-irix-names ]
+ then
+ cp $scr_src/Xlate-irix-names $1
+ fi
+}
+
+# real QA test starts here
+
+rm -rf $tmp.dir /tmp/abc.$$
+mkdir $tmp.dir
+cd $tmp.dir
+
+cat <<EOFEOF >root
+root {
+#include "abc.$$"
+}
+EOFEOF
+
+echo "valid_metric 0:0:1" >abc.$$
+
+echo "!bozo" >/tmp/abc.$$
+
+_copy_Rebuild .
+$sudo ./Rebuild -v \
+| sed \
+ -e 's;/private/;/;' \
+ -e "s;$tmp.dir;TMPDIR;" 2>&1
+if [ $PCP_VER -lt 3600 ]
+then
+ pminfo -mn root.bin
+ status=$?
+else
+ pminfo -mn root
+ status=$?
+fi
+
+# success, all done
+cd $here
+exit